# SDACreate1d

Creates a one-dimensional regular array that is distributed across some processors. This is the simplified interface, must be used with SDAXXX operations, NOT DAXXX operations.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT SDACreate1d(MPI_Comm comm,DAPeriodicType wrap,PetscInt M,PetscInt w,PetscInt s,PetscInt *lc,SDA *sda)

### Input Parameters

comm -MPI communicator
wrap -type of periodicity should the array have, if any

            DA_NONPERIODIC, DA_XPERIODIC

M -global dimension of the array
w -number of degress of freedom per node
s -stencil width
lc -array containing number of nodes in X direction on each processor, or PETSC_NULL

### Output Parameter

sda -the resulting array object

### Keywords

distributed array, create, two-dimensional

### See Also

SDADestroy(), SDACreate2d(), SDACreate3d()

Level:beginner
Location: src/dm/da/utils/sda2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages